# DEVP это файл для описания того, что именно будет деплоится
version: 3
cloud:
  service: "storage"
# Имя программы
rbd-exporter:
  type: "cloud" #дефолтное значение, если обычный проект из гита
  # Список стендов находится здесь https://git.mws-team.ru/mws/stands
  # Список: dev, preprod, prod, stand24Q1(env STAGE), stress-common(env STRESS)
  stands:
    - "dev"
  build:
    template: "golang"
    config:
    # Версия билдера заполняется автоматически при обновлении (см. строчку ниже). 
    # Если нужно обновить руками - make devp/update
      builder-version: 0.75.0
      # По схемам смотреть тут https://confluence.mts.ru/pages/viewpage.action?pageId=1071927793#id-%D0%92%D0%B5%D1%80%D1%81%D0%B8%D0%BE%D0%BD%D0%B8%D1%80%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D0%B5%D1%80%D0%B5%D0%BB%D0%B8%D0%B7%D0%BE%D0%B2-%D0%A1%D1%85%D0%B5%D0%BC%D0%B0app
      version-schema: app
      # Использовать харбор на harbor.mws-team.ru
      use-new-harbor: true
    pipeline:
      # Путь в репе до главного файла проги
      app-path: main.go
      # Manual - запуск пайплайна вручную
      mode: manual
    docker:
    # Про выбор канико читать тут https://mws.pages.mws-team.ru/devp/big-bang/generator/pages/reference/devp-yaml.html#infrastrukturnye-komponenty
      kaniko:
      # Выбирал самую свежую по отсутствию уязвимостей
        builder-version: 2.3.1-1.23.2.1
        context: .
